Package com.castlabs

# Class AssetLicenseLoader

java.lang.Object
com.castlabs.AssetLicenseLoader

All Implemented Interfaces:
  `LicenseLoader`

public class AssetLicenseLoader extends Object implements LicenseLoader
Implementation of the `LicenseLoader` that will load the license file from the Applications assets. By default, the loader searches for a file with the name `license.lic`, but you can create an instance that expects a different name using the `AssetLicenseLoader(String)` constructor.

Since:
  3.0.0
See Also:
  - `PlayerSDK.init(Context, LicenseLoader)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssetLicenseLoader()`
  Creates an instance of the loader that expects an asset of the name `license.lic`.
  `AssetLicenseLoader(String name)`
  Create an instance of the loader that expects an asset of the given name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getLicenseData()`
  This method must find the license file and return its bytes or throw an Exception if the license data could not be loaded.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssetLicenseLoader

    public AssetLicenseLoader()
    Creates an instance of the loader that expects an asset of the name `license.lic`.

  - ### AssetLicenseLoader

    public AssetLicenseLoader(String name)
    Create an instance of the loader that expects an asset of the given name.
    Parameters:
      `name` - the name of the license asset

- ## Method Details

  - ### getLicenseData

    public byte[] getLicenseData() throws Exception
    Description copied from interface: `LicenseLoader`
    This method must find the license file and return its bytes or throw an Exception if the license data could not be loaded.
    Specified by:
      `getLicenseData` in interface `LicenseLoader`
    Returns:
      license the byte representation of the license file
    Throws:
      `Exception` - in case the license data could not be loaded